# Replyke Social Comment Section (React Native)

![License](https://img.shields.io/badge/license-MIT-blue.svg)
![npm](https://img.shields.io/badge/types-included-blue?style=flat-square)
![Version](https://img.shields.io/npm/v/@replyke/comments-social-react-native)
[![runs with expo](https://img.shields.io/badge/Runs%20with%20Expo-4630EB.svg?style=flat-square&logo=EXPO&labelColor=f3f3f3&logoColor=000)](https://expo.io/)

## Overview

The **Replyke Social Comment Section** for React is a modern, fully featured comment system designed to integrate seamlessly into web applications. It provides a feature-rich, interactive commenting experience similar to those found in leading social networks, allowing for user engagement, moderation, and customization.

![Demo](https://raw.githubusercontent.com/replyke/ui-kit/main/assets/comment_section.gif)

## Features

- **Mentions (@username)** – Users can mention others in comments. Mentions notify users (if enabled) and provide clickable links to their profiles.
- **Replies & Likes** – Supports nested replies and likes, with built-in notification support for user interactions.
- **Highlighted Comments** – Pass a comment or reply ID to highlight it, useful for directing users from notifications.
- **GIF Support** – Enable GIFs in comments by adding your API key in the Replyke dashboard.
- **Built-in Authorization** – Ensures only authorized users can delete their own comments and prevents duplicate likes.
- **Reporting & Moderation** – Includes a reporting system with a moderation dashboard where project owners can review reports, remove content, and ban users.
- **Custom Styling** – Allows developers to customize styling via props to match their application's design.

## Installation

Install the package via NPM:

```sh
npm install @replyke/comments-social-react-native
```

## Requirements

This package requires one of the core Replyke libraries to function:

- [@replyke/react-native](https://www.npmjs.com/package/@replyke/react-native)
- [@replyke/expo](https://www.npmjs.com/package/@replyke/expo)

## Documentation

Full documentation, including usage examples and API references, is available at [Replyke Documentation](https://docs.replyke.com).

## License

This package is open-source under the **AGPL-3.0**.

## Contributions

Contributions are welcome! If you have suggestions for improvements or want to add new features, feel free to submit a pull request.

---

For questions or support, visit the [Replyke documentation](https://docs.replyke.com), open an issue or reach out via the [Discord server](https://discord.gg/REKxnCJzPz).

