"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_native_1 = require("react-native");
const react_1 = require("react");
const core_1 = require("@replyke/core");
const ui_core_react_native_1 = require("@replyke/ui-core-react-native");
const bottom_sheet_1 = __importStar(require("@gorhom/bottom-sheet"));
const useSheetManager_1 = __importDefault(require("../../hooks/useSheetManager"));
const CommentOptionsSheet = () => {
    const { deleteComment } = (0, core_1.useCommentSection)();
    const { commentOptionsSheetRef, setOptionsComment, closeCommentOptionsSheet, openReportCommentSheet, setReportedComment, optionsComment, } = (0, useSheetManager_1.default)();
    const { user } = (0, core_1.useUser)();
    const isOwner = optionsComment && optionsComment.userId === user?.id;
    const snapPoints = (0, react_1.useMemo)(() => ["100%"], []);
    const handleDeleteComment = () => {
        react_native_1.Alert.alert("Delete comment", // Title
        "Are you sure you want to proceed?", // Message
        [
            {
                text: "Cancel",
                style: "cancel",
                onPress: () => {
                    closeCommentOptionsSheet?.();
                },
            },
            {
                text: "OK",
                onPress: () => {
                    deleteComment?.({ commentId: optionsComment.id });
                    closeCommentOptionsSheet?.();
                },
            },
        ], { cancelable: false } // Prevents closing the alert by tapping outside
        );
    };
    const renderBackdrop = (0, react_1.useCallback)((props) => ((0, jsx_runtime_1.jsx)(bottom_sheet_1.BottomSheetBackdrop, { ...props, disappearsOnIndex: -1, appearsOnIndex: 0 })), []);
    return ((0, jsx_runtime_1.jsx)(bottom_sheet_1.default, { ref: commentOptionsSheetRef, index: -1, snapPoints: snapPoints, enablePanDownToClose: true, backdropComponent: renderBackdrop, onChange: (state) => {
            if (state === -1) {
                setOptionsComment?.(null);
            }
        }, backgroundStyle: { backgroundColor: "#18181B" }, handleIndicatorStyle: { backgroundColor: "#fff" }, handleComponent: () => ((0, jsx_runtime_1.jsx)(react_native_1.View, { style: {
                paddingHorizontal: 32,
                paddingVertical: 16,
                flexDirection: "row",
                borderBottomWidth: 1,
                borderColor: "#3f3f46",
            }, children: (0, jsx_runtime_1.jsx)(react_native_1.Text, { style: {
                    textTransform: "uppercase",
                    color: "#6b7280",
                    fontSize: 14,
                }, children: "comment options" }) })), children: (0, jsx_runtime_1.jsx)(bottom_sheet_1.BottomSheetView, { style: {
                padding: 16,
            }, children: isOwner ? ((0, jsx_runtime_1.jsxs)(react_native_1.Pressable, { onPress: handleDeleteComment, style: {
                    flexDirection: "row",
                    alignItems: "center",
                    gap: 16, // Use "rowGap" if supported; fallback otherwise
                    padding: 12,
                }, children: [(0, jsx_runtime_1.jsx)(ui_core_react_native_1.TrashIcon, { size: 20, color: "#dc2626" }), (0, jsx_runtime_1.jsx)(react_native_1.Text, { style: {
                            fontSize: 16,
                            flex: 1,
                            color: "#dc2626",
                        }, children: "Delete" })] })) : ((0, jsx_runtime_1.jsxs)(react_native_1.Pressable, { onPress: () => {
                    closeCommentOptionsSheet?.();
                    openReportCommentSheet?.();
                    setReportedComment?.(optionsComment);
                }, style: {
                    flexDirection: "row",
                    alignItems: "center",
                    gap: 16, // Use "rowGap" if supported; fallback otherwise
                    padding: 12,
                }, children: [(0, jsx_runtime_1.jsx)(ui_core_react_native_1.FlagIcon, { size: 20, color: "#9ca3af" }), (0, jsx_runtime_1.jsx)(react_native_1.Text, { style: {
                            fontSize: 16,
                            flex: 1,
                            color: "#9ca3af",
                        }, children: "Report" })] })) }) }));
};
exports.default = CommentOptionsSheet;
//# sourceMappingURL=CommentOptionsSheet.js.map