"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_native_1 = require("react-native");
const react_1 = require("react");
const core_1 = require("@replyke/core");
const ui_core_react_native_1 = require("@replyke/ui-core-react-native");
const bottom_sheet_1 = __importStar(require("@gorhom/bottom-sheet"));
const useSheetManager_1 = __importDefault(require("../../hooks/useSheetManager"));
const ReportCommentSheet = () => {
    const { user } = (0, core_1.useUser)();
    const { callbacks } = (0, core_1.useCommentSection)();
    const { reportCommentSheetRef, reportedComment, setReportedComment, closeReportCommentSheet, } = (0, useSheetManager_1.default)();
    const { createCommentReport } = (0, core_1.useCreateReport)();
    const [submitting, setSubmitting] = (0, react_1.useState)(false);
    const [reason, setReason] = (0, react_1.useState)(null);
    const snapPoints = (0, react_1.useMemo)(() => ["100%"], []);
    const buttonActive = (0, react_1.useMemo)(() => !!reason && !!reportedComment, [reason, reportedComment]);
    const renderBackdrop = (0, react_1.useCallback)((props) => ((0, jsx_runtime_1.jsx)(bottom_sheet_1.BottomSheetBackdrop, { ...props, disappearsOnIndex: -1, appearsOnIndex: 0 })), []);
    const handleSubmitReport = async () => {
        try {
            if (!reportedComment)
                throw new Error("No comment to report selected");
            if (!reason)
                throw new Error("No reason to report selected");
            if (!user) {
                callbacks?.loginRequiredCallback?.();
                return;
            }
            setSubmitting(true);
            await createCommentReport({ targetId: reportedComment.id, reason });
            closeReportCommentSheet?.();
            setReportedComment?.(null);
            setReason(null);
        }
        catch (err) {
            (0, core_1.handleError)(err, "Submtting report failed");
        }
        finally {
            setSubmitting(false);
        }
    };
    return ((0, jsx_runtime_1.jsx)(bottom_sheet_1.default, { ref: reportCommentSheetRef, index: -1, snapPoints: snapPoints, enablePanDownToClose: true, backdropComponent: renderBackdrop, onChange: (state) => {
            if (state === -1) {
                setReportedComment?.(null);
            }
        }, backgroundStyle: { backgroundColor: "#18181B" }, handleIndicatorStyle: { backgroundColor: "#fff" }, children: (0, jsx_runtime_1.jsxs)(bottom_sheet_1.BottomSheetView, { style: {
                padding: 28,
                flex: 1,
                height: "100%",
                justifyContent: "space-between",
            }, children: [(0, jsx_runtime_1.jsxs)(react_native_1.View, { children: [(0, jsx_runtime_1.jsxs)(react_native_1.View, { style: {
                                flexDirection: "row",
                                alignItems: "center",
                                gap: 16,
                            }, children: [(0, jsx_runtime_1.jsx)(ui_core_react_native_1.FlagIcon, { size: 24, color: "#e5e7eb" }), (0, jsx_runtime_1.jsx)(react_native_1.Text, { style: { fontSize: 24, color: "#e5e7eb" }, children: "Submit a report" })] }), (0, jsx_runtime_1.jsx)(react_native_1.Text, { style: {
                                color: "#e5e7eb",
                                marginTop: 24,
                            }, children: "Thank you for looking out for our community. Let us know what is happening, and we'll look into it." }), (0, jsx_runtime_1.jsx)(react_native_1.View, { style: {
                                flexDirection: "row",
                                flexWrap: "wrap",
                                gap: 12,
                                marginTop: 24,
                            }, children: Object.entries(core_1.reportReasons).map(([key, value], index) => ((0, jsx_runtime_1.jsx)(react_native_1.Pressable, { onPress: () => setReason(key), style: {
                                    borderWidth: 1,
                                    borderColor: "#e5e7eb",
                                    paddingHorizontal: 16,
                                    paddingVertical: 10,
                                    borderRadius: 12,
                                    backgroundColor: key === reason ? "#f9fafb" : "transparent",
                                }, children: (0, jsx_runtime_1.jsx)(react_native_1.Text, { style: {
                                        color: key === reason ? "#1f2937" : "#e5e7eb",
                                    }, children: value }) }, index))) })] }), (0, jsx_runtime_1.jsx)(ui_core_react_native_1.CustomButton, { text: "Submit Report", activeText: "Submitting..", onPress: handleSubmitReport, disabled: !buttonActive, submitting: submitting })] }) }));
};
exports.default = ReportCommentSheet;
//# sourceMappingURL=ReportCommentSheet.js.map