"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SheetManagerProvider = exports.SheetManagerContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
exports.SheetManagerContext = (0, react_1.createContext)({});
const SheetManagerProvider = ({ children, }) => {
    const commentOptionsSheetRef = (0, react_1.useRef)(null);
    const reportCommentSheetRef = (0, react_1.useRef)(null);
    const [optionsComment, setOptionsComment] = (0, react_1.useState)(null);
    const [reportedComment, setReportedComment] = (0, react_1.useState)(null);
    const openCommentOptionsSheet = (newComment) => {
        if (newComment)
            setOptionsComment(newComment);
        commentOptionsSheetRef.current?.snapToIndex(0);
    };
    const closeCommentOptionsSheet = () => {
        commentOptionsSheetRef.current?.close();
    };
    const openReportCommentSheet = (newComment) => {
        if (newComment)
            setOptionsComment(newComment);
        reportCommentSheetRef.current?.snapToIndex(0);
    };
    const closeReportCommentSheet = () => {
        reportCommentSheetRef.current?.close();
    };
    return ((0, jsx_runtime_1.jsx)(exports.SheetManagerContext.Provider, { value: {
            commentOptionsSheetRef,
            reportCommentSheetRef,
            openCommentOptionsSheet,
            closeCommentOptionsSheet,
            openReportCommentSheet,
            closeReportCommentSheet,
            optionsComment,
            setOptionsComment,
            reportedComment,
            setReportedComment,
        }, children: children }));
};
exports.SheetManagerProvider = SheetManagerProvider;
//# sourceMappingURL=SheetManagerContext.js.map