import { ReactNode } from "react";
import { CommentsSortByOptions, Entity } from "@replyke/core";
import { SocialStyleCallbacks, SocialStyleConfig } from "@replyke/comments-social-core";
import { SortByButton } from "..";
declare function useSocialComments({ entity, entityId, foreignId, shortId, createIfNotFound, styleConfig, callbacks, defaultSortBy, limit, highlightedCommentId, }: {
    entity?: Entity;
    entityId?: string | undefined | null;
    foreignId?: string | undefined | null;
    shortId?: string | undefined | null;
    styleConfig: SocialStyleConfig;
    createIfNotFound?: boolean;
    callbacks?: SocialStyleCallbacks;
    defaultSortBy?: CommentsSortByOptions;
    limit?: number;
    highlightedCommentId?: string | null;
}): {
    CommentSectionProvider: ({ children }: {
        children: ReactNode;
    }) => import("react/jsx-runtime").JSX.Element;
    CommentsFeed: ({ children: customNoCommentsView, }: {
        children?: ReactNode;
    }) => import("react/jsx-runtime").JSX.Element;
    NewCommentForm: import("react").ForwardRefExoticComponent<{
        withEmojis?: boolean;
    } & import("react").RefAttributes<{
        focus: () => void;
    }>>;
    SortByButton: typeof SortByButton;
};
export default useSocialComments;
