import { jsx as _jsx } from "react/jsx-runtime";
import { TouchableOpacity, StyleSheet, Vibration } from "react-native";
import { HeartIcon, HeartFullIcon, resetButton, } from "@replyke/ui-core-react-native";
const HeartButton = ({ userUpvoted, handleUpvote, handleRemoveUpvote, iconSize, fullColor, emptyColor, padding = 0, paddingBottom = 0, }) => {
    return userUpvoted ? (_jsx(TouchableOpacity, { onPress: handleRemoveUpvote, style: [styles.button, { padding, paddingBottom }], children: _jsx(HeartFullIcon, { size: iconSize, color: fullColor }) })) : (_jsx(TouchableOpacity, { onPress: () => {
            handleUpvote();
            Vibration.vibrate(100);
        }, style: [styles.button, { padding, paddingBottom }], children: _jsx(HeartIcon, { size: iconSize, color: emptyColor }) }));
};
const styles = StyleSheet.create({
    button: {
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        ...resetButton,
    },
});
export default HeartButton;
//# sourceMappingURL=HeartButton.js.map