import { jsx as _jsx } from "react/jsx-runtime";
import { View } from "react-native";
import { FlatList } from "react-native";
import { useCommentSection } from "@replyke/core";
import { useSocialStyleConfig } from "@replyke/comments-social-core";
import { Comment } from "./Comment";
import CommentsFooterComponent from "./CommentsFooterComponent";
const LoadedComments = ({ data }) => {
    const { loadMore, highlightedComment } = useCommentSection();
    const { styleConfig } = useSocialStyleConfig();
    const { commentsGap } = styleConfig.commentFeedProps;
    return (_jsx(FlatList, { data: data, renderItem: ({ item }) => _jsx(Comment, { comment: item }), ListHeaderComponent: highlightedComment ? (_jsx(Comment, { comment: highlightedComment.parentComment ?? highlightedComment.comment })) : null, ListHeaderComponentStyle: { paddingBottom: commentsGap }, keyExtractor: (item) => item.id, ItemSeparatorComponent: () => _jsx(View, { style: { height: commentsGap } }), style: { flex: 1 }, contentContainerStyle: { paddingBottom: 24 }, keyboardShouldPersistTaps: "always", onEndReached: () => data.length > 0 && loadMore(), onEndReachedThreshold: 0, ListFooterComponent: _jsx(CommentsFooterComponent, {}) }));
};
export default LoadedComments;
//# sourceMappingURL=LoadedComments.js.map