import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { View, Text, TouchableOpacity } from "react-native";
import { useCommentSection, getUserName } from "@replyke/core";
const ReplyBanner = () => {
    const { repliedToComment, showReplyBanner, setShowReplyBanner, pushMention, setRepliedToComment, } = useCommentSection();
    let repliedToUser = "";
    if (pushMention) {
        repliedToUser = getUserName(pushMention);
    }
    else if (repliedToComment?.user) {
        repliedToUser = getUserName(repliedToComment.user);
    }
    if (!showReplyBanner)
        return null;
    return (_jsx(View, { style: {
            position: "absolute",
            left: 0,
            right: 0,
            bottom: 0,
            zIndex: 10,
            overflow: "hidden",
            backgroundColor: "#e7e7e7",
            padding: 12,
            height: "auto",
        }, children: _jsxs(View, { style: {
                flexDirection: "row",
                alignItems: "center",
                justifyContent: "space-between",
            }, children: [_jsxs(Text, { style: { color: "#787878", fontSize: 12 }, children: ["Replying to ", repliedToUser] }), _jsx(TouchableOpacity, { onPress: () => {
                        setRepliedToComment?.(null);
                        setShowReplyBanner?.(false);
                    }, children: _jsx(Text, { style: { fontSize: 16, color: "#000" }, children: "\u00D7" }) })] }) }));
};
export default ReplyBanner;
//# sourceMappingURL=ReplyBanner.js.map