import React from "react";
import { Comment as CommentType } from "@replyke/core";
import { BottomSheetMethods } from "@gorhom/bottom-sheet/lib/typescript/types";
type SheetManagerContext = {
    commentOptionsSheetRef: React.RefObject<BottomSheetMethods | null>;
    reportCommentSheetRef: React.RefObject<BottomSheetMethods | null>;
    openCommentOptionsSheet: (newComment?: CommentType) => void;
    closeCommentOptionsSheet: () => void;
    openReportCommentSheet: () => void;
    closeReportCommentSheet: () => void;
    optionsComment: CommentType | null;
    setOptionsComment: React.Dispatch<React.SetStateAction<CommentType | null>>;
    reportedComment: CommentType | null;
    setReportedComment: React.Dispatch<React.SetStateAction<CommentType | null>>;
};
export declare const SheetManagerContext: React.Context<Partial<SheetManagerContext>>;
export declare const SheetManagerProvider: ({ children, }: {
    children: React.ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export {};
